<template>
    <div class="dialog">
        <div class="detail-container">
            <el-table
                ref="expendTable"
                row-key="id"
                element-loading-background="rgba(1,33,90,1)"
                v-loading="loading"
                align="center"
                :data="tableData"
                height="calc(100% - 30px)"
                class="dialog_table"
                :header-cell-style="{'text-align': 'center'}"
            >
                <el-table-column
                    type="index"
                    label="序号"
                    width="60"
                    align="center"
                >
                </el-table-column>
                <!-- <el-table-column
                    prop="projectName"
                    label="项目名称"
                    width="300"
                    align="left"
                >
                </el-table-column> -->
                <el-table-column prop="completionDate" align="center" label="品牌创建日期" width="150">
                </el-table-column>
                <el-table-column prop="planType" align="center" label="获肯定方式" width="300">
                    <template slot-scope="props">
                        {{ getDictName('pd_hkdxs', props.row.effectForm) }}
                    </template>
                </el-table-column>
                
                <el-table-column prop="isOver" align="center" label="具体情形" min-width="140">
                    <template slot-scope="props">
                        {{ getDictName('cxxs-jtqx', props.row.specificDetails) }}
                    </template>
                </el-table-column>
                <el-table-column
                align="center"
                    prop="result"
                    label="获肯定或报道详情"
                ></el-table-column>
                <el-table-column type="expand" width="0">
                    <template slot-scope="props">
                        <el-descriptions
                            class="descriptions-table"
                            :column="1"
                            border
                            :labelStyle="{width: '1%'}"
                        >
                            <el-descriptions-item label="解决问题、主要举措及取得实效" :span="3">
                                {{ props.row.solveProblem }}
                            </el-descriptions-item>

                            <el-descriptions-item label="附件">
                                <el-tag v-if="props.row.classified">{{
                                    props.row.classified
                                }}</el-tag>
                                <FileList
                                    :fileList="props.row.defaultFileList"
                                    :isDelete="false"
                                ></FileList>
                            </el-descriptions-item>
                        </el-descriptions>
                    </template>
                </el-table-column>
                <el-table-column label="操作" align="center" width="160px">
                    <template v-slot="{row}">
                        <el-button
                            type="text"
                            size="mini"
                            @click="expend(row)"
                            class="btn-detail"
                            >查看详情<i
                                v-if="!row.expansion"
                                class="el-icon-arrow-right"
                            ></i>
                            <i v-else class="el-icon-arrow-down"></i
                        ></el-button>
                    </template>
                </el-table-column>
            </el-table>
            <!-- <pagenation
                style="margin-top: 10px"
                class="pagenation"
                @currentChange="pageChange"
                :pageResult="params.pageBean"
                :isShowTotal="true"
                :isShowBtn="true"
            ></pagenation> -->
        </div>
    </div>
</template>

<script>
import utils from '@/utils.js'
import pagenation from './pagenation.vue'
import apiList from '@/api/bigScreen/districView.js'
import apiList1 from '@/api/bigScreen/projectSub.js'
import FileList from '@/components/uploadFile/FileList.vue'
export default {
    components: {pagenation, FileList},
    props: {
        tableOptions: {
            type: Object,
            default: () => {
                return {}
            },
        },
    },
    data() {
        return {
            activeBtn1: 1,
            activeBtn2: 1,
            activeName: '1',
            loadingColor: 'rgba(6, 46, 106, 0.4)',
            loading: false,
            pieLoading: false,
            stage: '',
            params: {
                pageBean: {
                    page: 1,
                    pageSize: 20,
                    total: 0,
                    showTotal: true,
                },
                querys: [
                    {
                        group: 'main',
                        operation: 'EQUAL',
                        parentGroup: '',
                        property: 'push.PROJECT_ID_', // 字段名
                        relation: 'AND',
                        value: '',
                    },
                    {
                        group: 'main',
                        operation: 'EQUAL',
                        parentGroup: '',
                        property: 'push.PLAN_TYPE_', // 字段名
                        relation: 'AND',
                        value: '',
                    },
                    {
                        group: 'main',
                        operation: 'EQUAL',
                        parentGroup: '',
                        property: 'sche.PLAN_YEAR_', // 字段名
                        relation: 'AND',
                        value: '',
                    },
                    {
                        group: 'main',
                        operation: 'LESS_EQUAL',
                        parentGroup: '',
                        property: 'sche.PLAN_MONTH_', // 字段名
                        relation: 'AND',
                        value: '',
                    },
                    {
                        group: 'main',
                        operation: 'EQUAL',
                        parentGroup: '',
                        property: 'push.IS_OVER_', // 字段名
                        relation: 'AND',
                        value: '',
                    },
                ],
            },
            projectOptions: [],
            tableData: [],
            pieChart1: null,
            pieChart1Option: null,
            pieChartData1: [],
            pieChart2: null,
            pieChart2Option: null,
            pieChartData2: [],
            projectId: '',
            yd_jhlx: [],
            exportLoading: false,
        }
    },
    mounted() {
        this.$emit('searchDateChange')
        this.pieLoading = true
        this.getPagingQuery()
        this.$bus.$on('changeDate', (searchDate) => {
            this.getPagingQuery()
        })
    },
    methods: {
        // 导出excel
        exportExcel() {
            this.exportLoading = true
            let data = JSON.parse(JSON.stringify(this.params))
            data.pageBean.pageSize = -1
            apiList.exportMonthList(data, (res) => {
                if (res) {
                    this.$message.success('导出成功')
                }
                this.exportLoading = false
            })
        },
        handleClick() {
            this.params.pageBean.page = 1
            this.params.querys[1].value = this.activeName
            this.getPagingQuery()
        },
        currentChange() {},
        pageChange(e) {
            this.params.pageBean.page = e
            this.getPagingQuery()
        },
        handleCommand(e) {
            this.params.pageBean.page = 1
            this.params.querys[4].value = e
            this.getPagingQuery()
        },
        expend(row) {
            let $table = this.$refs.expendTable
            this.tableData.map((item) => {
                if (row.id != item.id) {
                    $table.toggleRowExpansion(item, false)
                    item.expansion = false
                } else {
                    item.expansion = !item.expansion
                }
            })
            $table.toggleRowExpansion(row)
        },
        getDictName(code, value) {
            return utils.getDictName(code, value)
        },
        // 分页查询
        getPagingQuery() {
            this.loading = true
            let { projectId } = this.$route.query
            let data = JSON.parse(sessionStorage.getItem('searchDate'))
            data.id = projectId
            apiList1.getBrandXQ(data, res => {
              this.loading = false
                this.tableData = res&&res.pilotBrandPushList ? res.pilotBrandPushList : []
            })
        },
    },
}
</script>

<style lang="scss" scoped>
.dialog{
    width: 100%;
    height: 100%;
}
.flex-pie {
  height: 22vh;
  width: 100%;
  display: flex;
  justify-content: space-around;
  align-items: center;
}
.flex {
  width: 100%;
  display: flex;
  justify-content: space-around;
  align-items: center;
}
.flex-start {
  height: 46PX;
  width: 100%;
  display: flex;
  justify-content: start;
  align-items: center;
}
.btn-tag {
  border: 1PX solid #0271e5;
  color: #fff;
  padding: 7PX 14PX;
  border-radius: 4PX;
  margin-right: 10PX;
  font-size: 16PX;
  cursor: pointer;
}

.detail-container {
  height: calc(100% - 30PX);
//   margin-top: 20PX;
}
.sub-title {
  width: 100%;
  height: 18PX;
  text-align: center;
  position: relative;
  font-size: 14PX;
  font-family: SimHei;
  font-weight: 800;
  color: #ffffff;
  text-shadow: 0PX 0PX 16PX #266bf2;
  margin-bottom: 10PX;
}
.sub-title::after,
.sub-title::before {
  content: '';
  position: absolute;
  top: 47%;
  width: 40PX;
  height: 4PX;
}
.sub-title::before {
  left: 42%;
  background: url('~@/assets/img/bigScreen/line63.png') no-repeat center / 100%
    100%;
}
.sub-title::after {
  right: 42%;
  background: url('~@/assets/img/bigScreen/line62.png') no-repeat center / 100%
    100%;
}
/deep/ .el-button--text {
  color: #c2c2c2;
  span, i{
    font-size: 16PX!important;
  }
}
/deep/ .dialog-table-expand label {
  width: 120PX;
  color: #fff;
  font-family: SimHei;
}
/deep/ .el-input__inner {
  //   background-color: rgba(1, 47, 115, 0.6);
  border: 1PX solid #0273e9;
  color: #fff;
  background: transparent;
  font-size: 16PX;
  height: 34PX;
  line-height: 34PX;
  &::placeholder {
    color: #fff;
  }
}
/deep/.el-input__inner:hover {
  border-color: #0273e9;
}
/deep/.el-select .el-input .el-select__caret {
  color: #fff;
}
.tabs-dialog {
  width: calc(100% - 280PX);
  /deep/.el-tabs__item {
    color: #c2c2c2;
  }
  /deep/.el-tabs__nav-wrap::after {
    background-color: transparent;
  }
}
/deep/.el-table__expand-column .cell {
  display: none;
}
/deep/ .el-descriptions__body {
  background-color: transparent;
  
}
/deep/ .el-descriptions-item__label.is-bordered-label,
/deep/ .el-descriptions-item__label.is-bordered-label {
  background: transparent;
}
/deep/ .descriptions-table {
  width: 98%;
  margin-left: 1%;
}
/deep/.el-descriptions .is-bordered .el-descriptions-item__cell {
  border: 1PX solid #0271e5;
  font-size: 16PX;
}
/deep/.el-descriptions-item__label.is-bordered-label {
  color: #fff;
  font-size: 16PX;
}

/deep/.el-descriptions__body {
  color: #fff;
}

.el-dropdown-link {
  color: #fff;
}
/deep/.el-descriptions-item__cell{
    .file-item .file_name{
        font-size: 16PX!important;
        height: 24PX;
    }
    .file-item .el-link.el-link--primary{
        span{
            font-size: 16PX!important;
        }
        
    }
}

/deep/.el-select-dropdown.el-popper {
  border: none !important;
}

</style>
<style lang="scss">
@import './table.scss';

.el-select-dropdown.el-popper.quarter-selectop {
  //   background-color: #010b55 !important;
  border: solid 1PX #0271e5;
}
.quarter-selectop.el-popper[x-placement^='bottom'] .popper__arrow {
  border-bottom-color: #0271e5 !important;
}
.quarter-selectop.el-popper[x-placement^='bottom'] .popper__arrow::after {
  display: none;
  border-bottom-color: #0271e5 !important;
}
.quarter-selectop {
  .popper__arrow::after {
    border-bottom-color: #0271e5;
  }
  .el-select-dropdown__item.hover,
  .el-select-dropdown__item:hover {
    background-color: #0271e5;
    color: #fff !important;
  }
  .el-select-dropdown__item.selected span {
    color: #fff !important;
  }
}
.el-tabs__item {
  padding: 0 25PX 0 0;
}

</style>
